# Enum Class VCFHeader.HEADER_FIELDS

java.lang.Object
java.lang.Enum<VCFHeader.HEADER_FIELDS>
htsjdk.variant.vcf.VCFHeader.HEADER_FIELDS

All Implemented Interfaces:
  `Serializable, Comparable<VCFHeader.HEADER_FIELDS>, Constable`

Enclosing class:
  `VCFHeader`

public static enum VCFHeader.HEADER_FIELDS extends Enum<VCFHeader.HEADER_FIELDS>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALT`
`CHROM`
`FILTER`
`ID`
`INFO`
`POS`
`QUAL`
`REF`

## Method Summary

Modifier and Type
Method
Description
`static VCFHeader.HEADER_FIELDS`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VCFHeader.HEADER_FIELDS[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHROM

public static final VCFHeader.HEADER_FIELDS CHROM

### POS

public static final VCFHeader.HEADER_FIELDS POS

### ID

public static final VCFHeader.HEADER_FIELDS ID

### REF

public static final VCFHeader.HEADER_FIELDS REF

### ALT

public static final VCFHeader.HEADER_FIELDS ALT

### QUAL

public static final VCFHeader.HEADER_FIELDS QUAL

### FILTER

public static final VCFHeader.HEADER_FIELDS FILTER

### INFO

public static final VCFHeader.HEADER_FIELDS INFO

## Method Details

### values

public static VCFHeader.HEADER_FIELDS[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VCFHeader.HEADER_FIELDS valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null